Activity log for bug #1818883

Date Who What changed Old value New value Message
2019-03-06 17:27:16 ocb-hd-ccb bug added bug
2019-03-06 17:30:44 John Beard tags cvpcb ui
2019-03-06 17:36:38 ocb-hd-ccb description There is no way to individually delete an assigned footprint from 'eeschema - assign footprints'. Application: kicad Version: (5.1.0-rc2-9-g37962b717), debug build Libraries: wxWidgets 3.0.4 libcurl/7.54.0 LibreSSL/2.6.4 zlib/1.2.11 nghttp2/1.24.1 Platform: Mac OS X (Darwin 18.2.0 x86_64), 64 bit, Little endian, wxMac Build Info: wxWidgets: 3.0.4 (UTF-8,STL containers,compatible with 2.8) Boost: 1.68.0 OpenCASCADE Community Edition: 6.9.1 Curl: 7.54.0 Compiler: Clang 9.0.0 with C++ ABI 1002 Build settings: USE_WX_GRAPHICS_CONTEXT=ON USE_WX_OVERLAY=ON KICAD_SCRIPTING=ON KICAD_SCRIPTING_MODULES=ON KICAD_SCRIPTING_PYTHON3=OFF KICAD_SCRIPTING_WXPYTHON=ON KICAD_SCRIPTING_WXPYTHON_PHOENIX=OFF KICAD_SCRIPTING_ACTION_MENU=ON BUILD_GITHUB_PLUGIN=ON KICAD_USE_OCE=ON KICAD_USE_OCC=OFF KICAD_SPICE=ON There is no way to individually delete an assigned footprint from 'eeschema - assign footprints'. I tried to remove some assigned footprints after realizing I wanted to change the package size of the component but haven't picked a replacement yet. Being able to remove the currently assigned footprint would allow me to know that it was still needing to be done. I temporally fixed my issue by going into 'eeschem - symbol properties' and deleting the assigned footprint. This did work but I had to do it for each of the 10 resistors and 10 caps I decided to update. Application: kicad Version: (5.1.0-rc2-9-g37962b717), debug build Libraries:     wxWidgets 3.0.4     libcurl/7.54.0 LibreSSL/2.6.4 zlib/1.2.11 nghttp2/1.24.1 Platform: Mac OS X (Darwin 18.2.0 x86_64), 64 bit, Little endian, wxMac Build Info:     wxWidgets: 3.0.4 (UTF-8,STL containers,compatible with 2.8)     Boost: 1.68.0     OpenCASCADE Community Edition: 6.9.1     Curl: 7.54.0     Compiler: Clang 9.0.0 with C++ ABI 1002 Build settings:     USE_WX_GRAPHICS_CONTEXT=ON     USE_WX_OVERLAY=ON     KICAD_SCRIPTING=ON     KICAD_SCRIPTING_MODULES=ON     KICAD_SCRIPTING_PYTHON3=OFF     KICAD_SCRIPTING_WXPYTHON=ON     KICAD_SCRIPTING_WXPYTHON_PHOENIX=OFF     KICAD_SCRIPTING_ACTION_MENU=ON     BUILD_GITHUB_PLUGIN=ON     KICAD_USE_OCE=ON     KICAD_USE_OCC=OFF     KICAD_SPICE=ON
2019-03-06 17:38:55 Seth Hillbrand kicad: importance Undecided Wishlist
2019-03-06 17:38:55 Seth Hillbrand kicad: status New Triaged
2019-05-04 21:08:36 Michael Kavanagh tags cvpcb ui eeschema ui
2019-05-28 10:21:20 Ian McInerney kicad: assignee Ian McInerney (imcinerney)
2019-05-29 22:14:22 Ian McInerney kicad: status Triaged In Progress
2019-06-21 17:20:04 Ian McInerney kicad: status In Progress Fix Committed
2019-06-22 08:07:54 Michael Kavanagh kicad: milestone 5.1.3
2019-08-19 19:49:28 KiCad Janitor kicad: status Fix Committed Fix Released